html {
    font-size: 1em;
    /*margin-bottom: 60px;*/
    /*position: relative;*/
    min-height: 100%;
}

@media (min-width: 768px) {
  html {
    font-size: 1.1em;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

body {
margin:4.5em .25em 0 .25em;}

.body-bg0 {
    background: url('../img/bg0.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.body-bg1 {
    background: url('../img/bg1.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.body-bg2 {
    background: url('../img/bg2.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.body-bg3 {
    background: url('../img/bg3.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.body-bg4 {
    background: url('../img/bg4.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.body-bg5 {
    background: url('../img/bg5.png');
    background-size: cover;
    background-attachment: fixed;
}

.bg0 {
    background: url('../img/bg0.jpg');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding:.5rem;
}

.bg1 {
    background: url('../img/bg1.jpg');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding: .5rem;
}

.bg2 {
    background: url('../img/bg2.jpg');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding: .5rem;
}

.bg3 {
    background: url('../img/bg3.jpg');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding: .5rem;
}

.bg4 {
    background: url('../img/bg4.jpg');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding: .5rem;
}

.bg5 {
    background: url('../img/bg5.png');
    background-size: cover;
    background-attachment: fixed;
    margin-left: calc((var(--bs-gutter-x)* .5)*-1);
    margin-right: calc((var(--bs-gutter-x)* .5)*-1);
    padding: .5rem;
}

body-content{
    opacity:1.0;
}

.crn {
   /* border-radius: 10px;
    border: 1px solid #ffffff;*/
}

pre{
    margin:.5em;
}

.img-race{
    width:calc(25vw);
}
.avatar {
    width: 1.75em;
    height: 1.75em;
    margin-right:.5em;
}


*,
*:after,
*:before {
    box-sizing: border-box;
}

.track-wrapper {

    display: grid;
    place-items: center;
    width: 90%;
    height:300px;
    max-inline-size: var(--size-content-3);
    overflow: hidden;
    /*-webkit-mask: linear-gradient(90deg, transparent 0, black 15% 85%, transparent ) 0 50% / 100% calc(100% - (2 * var(--size-4))) no-repeat, linear-gradient(0deg, black, black) 50% 0 / 100% var(--size-4) no-repeat, linear-gradient(0deg, black, black) 50% 100% / 100% var(--size-4) no-repeat;*/
}

.track {
    height: 270px;
    width: 100%;
    display: flex;
    overflow: overlay;
    list-style-type: none;
    margin: 0;
    scroll-snap-type: x mandatory;
    /*-webkit-mask: radial-gradient(#0000 0 30%, #000 30.5%) 50% calc(var(--size) * 0.5) / 300% 100%, linear-gradient(0deg, black, black) 50% 0 / 100% var(--size-4) no-repeat, linear-gradient(0deg, black, black) 50% 100% / 100% var(--size-4) no-repeat;*/
}

.track__item {
    height: 250px;
    width:175px;
    aspect-ratio: 1;
    scroll-snap-align: center;
}
.img-with-text-container {
    height: calc(100vh - 290px);
    max-height: calc(100vh - 290px);
    overflow-y: auto;
    border: none;
    display: flex;
    flex-wrap: wrap;
}
.img-with-text-wrapper {
    height:250px;
    width:175px;
    max-height: 250px;
    max-width:175px;
    flex: 0 0 auto;
    aspect-ratio: 1;
}

.img-with-text {
    position: relative;

}
    .img-with-text > .underlay-image, .overlay-text {
        position: absolute;
    }

.overlay-text {
    top: 215px;
    right:5px;
}

.list-display {
    height: calc(100vh - 250px);
    max-height: calc(100vh - 250px);
    overflow: hidden;
    border:none;
}
.list-display-content {
    overflow: auto;
}
.list-display-home {
    height: calc(100vh - 150px);
    max-height: calc(100vh - 150px);
    overflow: hidden;
}
.list-display-home-content {

    overflow: auto;
}

.tl{
    opacity:0.9;
}
.img-home {
    height: calc(100vh - 300px);
    max-height: calc(100vh - 300px);
    opacity:1.0;
}
.img-idp-login {
    max-width: 360px;
    opacity: 1.0;
}
.btn-image-with-text {
    position: relative;
    text-align: center;
}
.btn-image-with-text-image {
    width: 200px;
    max-width: 200px;
    border-radius: 10px;
    border: 2px solid var(--bs-body-color);
}
.btn-image-with-text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}